using UnityEngine; 

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"), 
                    NameOverride = "[P&W] Weak AK47", 
                    DescriptionOverride = "Be careful, it does still fire real bullets.", 
                    CategoryOverride = ModAPI.FindCategory("Firearms"), 
                    ThumbnailOverride = ModAPI.LoadSprite("weakak47icon.png"), 
                    AfterSpawn = (Instance) => 
                    {

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weakak47.png");

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "Wak-47 bullet";
                        customCartridge.Damage *= 0.01f;
                        customCartridge.StartSpeed *= 0.2f;
                        customCartridge.Recoil *= 0.8f; 
                        customCartridge.ImpactForce *= 1.5f; 

                        firearm.Cartridge = customCartridge;

                    }
    
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"), 
                    NameOverride = "[P&W] Weak Shotgun", 
                    DescriptionOverride = "Still very lethal at close range.", 
                    CategoryOverride = ModAPI.FindCategory("Firearms"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Weakshotgunicon.png"), 
                    AfterSpawn = (Instance) => 
                    {

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weakshotgun.png");

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "Wshotgun bullet";
                        customCartridge.Damage *= 0.02f;
                        customCartridge.StartSpeed *= 0.1f;
                        customCartridge.Recoil *= 0.5f; 
                        customCartridge.ImpactForce *= 2.0f; 

                        firearm.Cartridge = customCartridge;

                    }
    
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"), 
                    NameOverride = "[P&W] Powerful Shotgun", 
                    DescriptionOverride = "Who doesn't want to delete a human in one click?", 
                    CategoryOverride = ModAPI.FindCategory("Firearms"), 
                    ThumbnailOverride = ModAPI.LoadSprite("powershotgunicon.png"), 
                    AfterSpawn = (Instance) => 
                    {

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("powershotgun.png");

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "Pshotgun bullet";
                        customCartridge.Damage *= 3f;
                        customCartridge.StartSpeed *= 2f;
                        customCartridge.Recoil *= 3f; 
                        customCartridge.ImpactForce *= 5f; 

                        firearm.Cartridge = customCartridge;

                    }
    
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("AK-47"), 
                    NameOverride = "[P&W] Powerful AK47", 
                    DescriptionOverride = "When your enemies just won't die.", 
                    CategoryOverride = ModAPI.FindCategory("Firearms"), 
                    ThumbnailOverride = ModAPI.LoadSprite("powerak47icon.png"), 
                    AfterSpawn = (Instance) => 
                    {

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("powerak47.png");

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "Pak-47 bullet";
                        customCartridge.Damage *= 3f;
                        customCartridge.StartSpeed *= 2f;
                        customCartridge.Recoil *= 5f; 
                        customCartridge.ImpactForce *= 8f; 

                        firearm.Cartridge = customCartridge;

                    }
    
                }
            );
            

        }
    }
}